> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Individual

> Getting report with Flick 



## OpenAPI

````yaml /openapi/financial-data.json post /bureau/process-report
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /bureau/process-report:
    post:
      tags:
        - Credit Report
      summary: Individual
      description: 'Getting report with Flick '
      operationId: initializing credit  report
      requestBody:
        description: Getting your Flick full credit report
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Report'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PremiumResponse'
        '400':
          description: Error loggin in, please check your login details and try again
        '403':
          description: Unauthroized Access
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Report:
      required:
        - reportType
        - bvn
        - creditBureau
      type: object
      properties:
        reportType:
          type: string
          enum:
            - basic
            - advance
          example: basic
        creditBureau:
          type: string
          enum:
            - Credit_Registry
            - CRC
            - First_Central
          example: credit_registry
        bvn:
          type: string
          example: '00110033442'
    PremiumResponse:
      type: object
      properties:
        ConsumerHitResponse:
          type: object
          properties:
            BODY:
              type: object
              properties:
                AddressHistory:
                  type: string
                  example: 'null'
                Amount_OD_BucketCURR1:
                  type: string
                  example: 'null'
                CONSUMER_RELATION:
                  type: string
                  example: 'null'
                CREDIT_MICRO_SUMMARY:
                  type: string
                  example: 'null'
                CREDIT_NANO_SUMMARY:
                  type: string
                  example: 'null'
                CREDIT_SCORE_DETAILS:
                  type: object
                  properties:
                    CREDIT_SCORE_SUMMARY:
                      type: object
                      properties:
                        CREDIT_RATING:
                          type: string
                          example: AVERAGE
                        CREDIT_SCORE:
                          type: number
                          example: 641
                        REASON_CODE1:
                          type: string
                          example: >-
                            There is serious delinquency on the accounts,
                            adverse record or collection filed on the credit
                            report
                        REASON_CODE2:
                          type: string
                          example: >-
                            The length of time accounts have been established on
                            the credit report is short relative to the other
                            applicants scored
                        REASON_CODE3:
                          type: string
                          example: >-
                            Applicant is young relative to the other applicants
                            scored.
                        REASON_CODE4:
                          type: string
                          example: >-
                            Lack of recent revolving/charge account information
                            on the credit report.
                ClassificationInsType:
                  type: array
                  items:
                    type: object
                    properties:
                      AMOUNT_OVERDUE:
                        type: string
                        example: '0'
                      APPROVED_CREDIT_SANCTIONED:
                        type: string
                        example: '0'
                      CURRENCY:
                        type: string
                        example: NGN
                      ClassificationInsType:
                        type: string
                        example: 'null'
                      INSTITUTION_TYPE:
                        type: string
                        example: Commercial Banks
                      LEGAL_FLAG:
                        type: string
                        example: 'No'
                      NO_OF_ACCOUNTS:
                        type: string
                        example: '4'
                      OUTSTANDING_BALANCE:
                        type: string
                        example: 5,500
                ClassificationProdType:
                  type: array
                  items:
                    type: object
                    properties:
                      AMOUNT_OVERDUE:
                        type: string
                        example: '0'
                      CURRENCY:
                        type: string
                        example: NGN
                      ClassificationProdType:
                        type: string
                        example: 'null'
                      NO_ACC_LAST_SIX_MON:
                        type: string
                        example: '1'
                      NO_OF_ACCOUNTS:
                        type: string
                        example: '4'
                      PRODUCT_TYPE:
                        type: string
                        example: Other
                      RECENT_OVERDUE_DATE:
                        type: string
                        example: 23-March-2024
                      SANCTIONED_AMOUNT:
                        type: string
                        example: 20,000
                      TOTAL_OUTSTANDING_BALANCE:
                        type: string
                        example: 1,000
                ClosedAccount:
                  type: string
                  example: 'null'
                ConsCommDetails:
                  type: object
                  properties:
                    ConsCommDetails_ID:
                      type: array
                      items:
                        type: object
                        properties:
                          EXPIRY_DATE:
                            type: string
                            example: 'null'
                          IDENTIFIERNUMBER:
                            type: string
                            example: '111100022'
                          IDENTIFIER_NUMBER:
                            type: string
                            example: '111100022'
                          ID_TYPE:
                            type: string
                            example: Bank Verification Number
                ConsumerMergerDetails:
                  type: string
                  example: 'null'
                ContactHistory:
                  type: string
                  example: 'null'
                CreditDisputeDetails:
                  type: string
                  example: 'null'
                CreditFacilityHistory24:
                  type: string
                  example: 'null'
                CreditProfileOverview:
                  type: string
                  example: 'null'
                CreditProfileSummaryCURR1:
                  type: string
                  example: 'null'
                CreditProfileSummaryCURR2:
                  type: string
                  example: 'null'
                DMMDisputeSection:
                  type: string
                  example: 'null'
                GuaranteedLoanDetails:
                  type: string
                  example: 'null'
            HEADER:
              type: object
              properties:
                REPORTHEADER:
                  type: object
                  properties:
                    MAILTO:
                      type: string
                      example: support@crccreditbureau.com
                    PRODUCTNAME:
                      type: string
                      example: Consumer Basic Premium Report
                    REPORTDATE:
                      type: string
                      example: 22/Mar/2024
                    REPORTORDERNUMBER:
                      type: string
                      example: W-0109561182/2024
                    USERID:
                      type: string
                      example: 1179617016neo
                RESPONSETYPE:
                  type: object
                  properties:
                    CODE:
                      type: string
                      example: '1'
                    DESCRIPTION:
                      type: string
                      example: Response DataPacket
                SEARCHCRITERIA:
                  type: object
                  properties:
                    BRANCHCODE:
                      type: string
                      example: 'null'
                    BVN_NO:
                      type: string
                      example: '111000222'
                    CFACCOUNTNUMBER:
                      type: string
                      example: 'null'
                    DATEOFBIRTH:
                      type: string
                      example: ''
                    GENDER:
                      type: string
                      example: ''
                    NAME:
                      type: string
                      example: ''
                    TELEPHONE_NO:
                      type: string
                      example: ''
                SEARCHRESULTLIST:
                  type: object
                  properties:
                    SEARCHRESULTITEM:
                      type: string
                      example: 'null'
            REQUESTID:
              type: string
              example: '1'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.